Package org.eclipse.emf.cdo

## Interface CDODeltaNotification

- All Superinterfaces:
    `CDONotification`, `Notification`

      public interface CDODeltaNotification
      extends CDONotification

  This class behaves like the usual EMF Notification except for the following:
  - It doesn't provide the old value, only the new index or new value.
  - `REMOVE_MANY` indicates that `clear()` was called.
  - `Add_MANY` is not used.
  Since:
    2.0
  Author:
    Simon McDuff
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.CDONotification

      `DETACH_OBJECT, EVENT_TYPE_CDO_START, INVALIDATE`

    - ### Fields inherited from interface org.eclipse.emf.common.notify.Notification

      `ADD, ADD_MANY, CREATE, EVENT_TYPE_COUNT, MOVE, NO_FEATURE_ID, NO_INDEX, REMOVE, REMOVE_MANY, REMOVING_ADAPTER, RESOLVE, SET, UNSET`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDORevisionDelta` | `getRevisionDelta()` | Returns the `CDORevisionDelta` associated with this notification.
    `boolean` | `hasNext()` | Informs the adapter if another notification is going to be sent (notifications often have a list of notifications, see `NotificationChain`).

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notification

      `getEventType, getFeature, getFeatureID, getNewBooleanValue, getNewByteValue, getNewCharValue, getNewDoubleValue, getNewFloatValue, getNewIntValue, getNewLongValue, getNewShortValue, getNewStringValue, getNewValue, getNotifier, getOldBooleanValue, getOldByteValue, getOldCharValue, getOldDoubleValue, getOldFloatValue, getOldIntValue, getOldLongValue, getOldShortValue, getOldStringValue, getOldValue, getPosition, isReset, isTouch, merge, wasSet`

- - ### Method Detail

    - #### hasNext

          boolean hasNext()

      Informs the adapter if another notification is going to be sent (notifications often have a list of notifications, see `NotificationChain`).

    - #### getRevisionDelta

          CDORevisionDelta getRevisionDelta()

      Returns the `CDORevisionDelta` associated with this notification.